-
 KDE-Apps.org Applications for the KDE-Desktop 
 GTK-Apps.org Applications using the GTK Toolkit 
 GnomeFiles.org Applications for GNOME 
 MeeGo-Central.org Applications for MeeGo 
 CLI-Apps.org Command Line Applications 
 Qt-Apps.org Free Qt Applications 
 Qt-Prop.org Proprietary Qt Applications 
 Maemo-Apps.org Applications for the Maemo Plattform 
 Java-Apps.org Free Java Applications 
 eyeOS-Apps.org Free eyeOS Applications 
 Wine-Apps.org Wine Applications 
 Server-Apps.org Server Applications 
 apps.ownCloud.com ownCloud Applications 
--
-
 KDE-Look.org Artwork for the KDE-Desktop 
 GNOME-Look.org Artwork for the GNOME-Desktop 
 Xfce-Look.org Artwork for the Xfce-Desktop 
 Box-Look.org Artwork for your Windowmanager 
 E17-Stuff.org Artwork for Enlightenment 
 Beryl-Themes.org Artwork for the Beryl Windowmanager 
 Compiz-Themes.org Artwork for the Compiz Windowmanager 
 EDE-Look.org Themes for your EDE Desktop 
--
-
 Debian-Art.org Stuff for Debian 
 Gentoo-Art.org Artwork for Gentoo Linux 
 SUSE-Art.org Artwork for openSUSE 
 Ubuntu-Art.org Artwork for Ubuntu 
 Kubuntu-Art.org Artwork for Kubuntu 
 LinuxMint-Art.org Artwork for Linux Mint 
 Arch-Stuff.org Art And Stuff for Arch Linux 
 Frugalware-Art.org Themes for Frugalware 
 Fedora-Art.org Artwork for Fedora Linux 
 Mandriva-Art.org Artwork for Mandriva Linux 
--
-
 KDE-Files.org Files for KDE Applications 
 OpenTemplate.org Documents for OpenOffice.org
 GIMPStuff.org Files for GIMP
 InkscapeStuff.org Files for Inkscape
 ScribusStuff.org Files for Scribus
 BlenderStuff.org Textures and Objects for Blender
 VLC-Addons.org Themes and Extensions for VLC
--
-
 KDE-Help.org Support for your KDE Desktop 
 GNOME-Help.org Support for your GNOME Desktop 
 Xfce-Help.org Support for your Xfce Desktop 
--
openDesktop.orgopenDesktop.org:   Applications   Artwork   Linux Distributions   Documents    LinuxDaily.com    Linux42.org    OpenSkillz.com   
 
Apps
News
Groups
Knowledge
Events
Forum
People
Jobs
Register
Login


Sponsoring


-
- Content .- Fans (1) .- Knowledge Base  . 

KEmu

   0.0.4  

KDE System Tool

Score 63%
KEmu
zoom


KEmu
zoom


Homepage:  Link
Minimum required   KDE 4.x
Downloads:  196
Submitted:  Dec 12 2009
Updated:  Dec 14 2009

Description:

KEmu is a graphical front-end for QEMU and KVM.

It requires at last KDE 4.2 and the appropriate bindings for Ruby (Korundum4).




Changelog:

0.0.3 -> 0.0.4
* improved README
* added character encoding hint for Ruby versions >= 1.9
* added fix to prevent KEmu from crashing when an expected executable is not present




LicenseGPL
(Self-extracting archive)
(Source)
Send to a friend
Subscribe
Other  Apps  from pen2
Report inappropriate content



-

 Does not compile

 
 by dovidhalevi on: Dec 13 2009
 
Score 50%

make does nothing at all.

Have korundum4 from Debian Sid.


Reply to this

-

 Re: Does not compile

 
 by pen2 on: Dec 13 2009
 
Score 50%

Hi!

First of all: Sorry, I believe the included README needs some review - especially as KEmu experienced some restructuring recently.

To "build" it, do:
cd /path/to/kemu/src/ui
make ui
cd ../..
mkdir build && cd build
cmake ..
make && make install
kbuildsycoca4


Note that you will also need KDE's development packages installed, as KEmu's CMake files currently use some macros defined there.

If you do not want to install these additional packages, you can also use the self-extracting archive, as it requires no further ado. Simply run it in a terminal via
sh ./kemu-0.0.3-Linux.sh

Hope that helps ;)


Reply to this

-

 doesn't work

 
 by nqn1976 on: Dec 13 2009
 
Score 50%

The cmakelists file in /src/ui is wrong:

CMake Error at src/ui/cmake_install.cmake:36 (FILE):
file INSTALL cannot find
"/home/antonio/src/kemu-0.0.3/src/ui/ui_mainform.rb".
Call Stack (most recent call first):
src/cmake_install.cmake:57 (INCLUDE)
cmake_install.cmake:42 (INCLUDE)

Also, after fixing the file and compiling, trying to run it gives a syntax error:

> ruby kemu
kemu:36: invalid multibyte char (US-ASCII)
kemu:36: invalid multibyte char (US-ASCII)
kemu:36: syntax error, unexpected $end, expecting ')'
about.addAuthor(KDE.ki18n("Martin Höher"),
^


Reply to this

-

 Re: doesn't work

 
 by pen2 on: Dec 13 2009
 
Score 50%

Jep, see above:
The ui_*.rb files must first be generated using the Makefile in the ui directory: Simply run `make ui` there. This is because the "source" package is packaged directly from the repository, and there no generated files are stored.

To be honest, I don't like this either, so hopefully in the next release the generation of the ui/rb files can be done with cmake, too.

@wrong encoding:
Thank you for pointing this out. May I ask you what system (distribution/architecture/Ruby version) you use? For the meantime: Simply replace/remove my name from there - this should fix it for now.


Reply to this

-

 Re: Re: doesn't work

 
 by nqn1976 on: Dec 13 2009
 
Score 50%

Thanks, that fixed it.
I'm using i686 Arch Linux, ruby 1.9.1.p376, KDE 4.3.4


Reply to this

-

 Re: Re: Re: doesn't work

 
 by pen2 on: Dec 13 2009
 
Score 50%

Glad to hear this ;)

What encoding do you use (AFAIR this is set in /etc/rc.conf via the LOCALE variable in Arch)? I guess you use something else than utf-8?

Nevertheless, I will try fix the issue in the next release (I guess Ruby provides some mechanism to force it to use a given character encoding).


Reply to this

-

 Re: Re: Re: Re: doesn't work

 
 by nqn1976 on: Dec 13 2009
 
Score 50%

I found the problem: apparently with ruby 1.9 you need to specify the encoding of the script files.
Adding the line

# encoding: UTF-8

at the beginning of /usr/share/apps/kemu/kemu fixes the issue.


Reply to this

-

 Re: Re: Re: Re: Re: doesn't work

 
 by pen2 on: Dec 13 2009
 
Score 50%

Cool, thank you for the info :)

I've already pushed a fix to Gitorious (see http://gitorious.org/kemu/kemu) and will package a new version ASAP.


Reply to this

-

 crash

 
 by nqn1976 on: Dec 13 2009
 
Score 50%

More problems: I get a crash when trying to create a new VM:

> LC_ALL=C kemu-manager
/usr/share/apps/kemu/adapters/adapter.rb:41:in ``': No such file or directory - qemu-kvm -version (Errno::ENOENT)
from /usr/share/apps/kemu/adapters/adapter.rb:41:in `block in executable'
from /usr/share/apps/kemu/adapters/adapter.rb:40:in `each'
from /usr/share/apps/kemu/adapters/adapter.rb:40:in `executable'
from /usr/share/apps/kemu/adapters/adapter.rb:60:in `printedName'
from /usr/share/apps/kemu/adapters/adapterlist.rb:80:in `block in adapterDisplayList'
from /usr/share/apps/kemu/adapters/adapterlist.rb:79:in `each'
from /usr/share/apps/kemu/adapters/adapterlist.rb:79:in `adapterDisplayList'
from /usr/share/apps/kemu/configform.rb:122:in `fillEmulatorList'
from /usr/share/apps/kemu/configform.rb:96:in `fillStaticLists'
from /usr/share/apps/kemu/configform.rb:46:in `initialize'
from /usr/share/apps/kemu/vm.rb:73:in `new'
from /usr/share/apps/kemu/vm.rb:73:in `initialize'
from /usr/share/apps/kemu/mainform.rb:119:in `new'
from /usr/share/apps/kemu/mainform.rb:119:in `add'
from /usr/share/apps/kemu/mainform.rb:94:in `block in setupActions'
from /usr/lib/ruby/site_ruby/1.9.1/Qt/qtruby4.rb:2361:in `call'
from /usr/lib/ruby/site_ruby/1.9.1/Qt/qtruby4.rb:2361:in `invoke'
from /usr/lib/ruby/site_ruby/1.9.1/KDE/korundum4.rb:60:in `qt_metacall'
from /usr/lib/ruby/site_ruby/1.9.1/KDE/korundum4.rb:60:in `method_missing'
from /usr/lib/ruby/site_ruby/1.9.1/KDE/korundum4.rb:60:in `exec'
from ./kemu:48:in `<main>'
KCrash: Application 'kemu' crashing...


Reply to this

-

 Re: crash

 
 by pen2 on: Dec 14 2009
 
Score 50%

OK, I've just packaged and uploaded the current version from repository.
This should fix this problem (at last I hope so, because my tests suggest that indeed this issue is due to different behavior of Ruby 1.8 <-> 1.9)


Reply to this

-

 Re: Re: crash

 
 by nqn1976 on: Dec 14 2009
 
Score 50%

Works perfectly now, thanks


Reply to this

Add commentBack






-
-
Do you like or dislike Ubuntu Unity?
 Yes, unity is alien technology!
 It is less confusing than Gnome 3 default, shell.
 Granny thinks it is much more usable than Gnome 2
 Canonical is embarrasing itself with this split project
 Gnome 3 default shell is much better
 I dislike Unity, Gnome 3 default shell is alien technology!
 None of the above, I like the 2Gb for free and Apple alike behavior. Will post a comment instead

resultmore
 
 
 Who we are
Contact
More about us
Frequently Asked Questions
Register
Twitter
Blog
Explore
Apps
Jobs
Knowledge
Events
People
Updates on identi.ca
Updates on Twitter
Facebook App
Content RSS   
Events RSS   

Participate
Groups
Forum
Add App
Public API
About KDE-Apps.org
Legal Notice
Spreadshirt Shop
CafePress Shop
Advertising
Sponsor us
Report Abuse
 

Copyright 2003-2014 KDE-Apps.org Team  
All rights reserved. KDE-Apps.org is not liable for any content or goods on this site.
All contributors are responsible for the lawfulness of their uploads.
KDE and K Desktop Environment are trademarks of KDE e.V.